/*----------ウィンカー（オレンジLED）----------                 
 * 【使用方法】
 *  プログラムで光らせたい側を指示する。
 *  停止の命令を出すまで指示された動作を行う。
 *  
 * 【命令】
 *  uinka = 動作の指示
 *                        |
 *                        +------->   両方のランプ:RL           
 *                                    右側のランプ:R           
 *                                    左側のランプ:L
 *                                    消す：OFF
 *                                    
 *  【例】
 *  3秒右に曲がってる最中に右のウィンカーを光らせる。
 *  曲がり終わったらウィンカーを消す。
 *  
 *  uinka = R;
 *  Motor(R, FRONT);
 *  delay(3000);
 *  Motor(L, FREE);
 *  uinka = L;
 */
  
void Turn_signal_control(unsigned char signal_mode){
  //Hazard-----------------------------------------------
  if(signal_mode == RL){
    if(one_sec_counter < 500){
      digitalWrite(LEFT_TURN_SIG, HIGH);
      digitalWrite(RIGHT_TURN_SIG, HIGH);
    }
    else{
      digitalWrite(LEFT_TURN_SIG, LOW);
      digitalWrite(RIGHT_TURN_SIG, LOW);
    }
  }
  //Right Turn Signal------------------------------------
  if(signal_mode == R){
    if(one_sec_counter < 500){
      digitalWrite(RIGHT_TURN_SIG, HIGH);
    }
    else{
      digitalWrite(RIGHT_TURN_SIG, LOW);
    }
  }
  //Left Turn Signal-------------------------------------
  if(signal_mode == L){
    if(one_sec_counter < 500){
      digitalWrite(LEFT_TURN_SIG, HIGH);
    }
    else{
      digitalWrite(LEFT_TURN_SIG, LOW);
    }
  }
  //OFF--------------------------------------------------
  else{
    digitalWrite(RIGHT_TURN_SIG, LOW);
    digitalWrite(LEFT_TURN_SIG, LOW);
  }
}
