/*----------温度センサ（温度IC）----------                 
 * 【使用方法】
 *  周りの温度に応じて0～1023の間で変化するセンサ
 *    
 * 【命令】
 *  温度を測る >> Temperature();
 *  
 * 【温度と数値（目安）】
 *  0℃:170  5℃:190　10℃:212　15℃:233　20℃:255　25℃:276　30℃:297
 *  
 * 【例】
 *  明るさを測って25℃以上なら（276以上なら）ヘッドランプを光らせる
 *  if(Temperature()<=276){
 *    Head_Light(POWER3);
 *  }
 *  else{
 *    Head_Light(OFF);
 *  }
 */
unsigned int ondo(int temp_TH){
  unsigned int temp =  Temperature();
  double temp_c = 00.0;
  temp_c = ((temp*(5.0/1024)-0.4)/(19.5/1000))-3;
  if(temp_TH == 0){
    return (int)temp_c;
  }
  else if((int)temp_c > temp_TH){
    return 1;
  }
  else{
    return 0;
  }
}

void ondo(char test){
  unsigned int temp =  Temperature();
  double temp_c = 00.0;
  Serial.print("温度：");
  Serial.print(temp);
  Serial.print("\t気温：");
  temp_c = ((temp*(5.0/1024)-0.4)/(19.53/1000))-3;
  Serial.println((int)temp_c);
}
 
unsigned int Temperature(){
  static int temperature_value;
  temperature_value = analogRead(TEMP_SENSOR);
  return temperature_value;
}
